LINUX.ORG.RU

fglrx-8.8.25 и ядро 2.6.10


0

0

Началось с того, что я откомпилировал новое ядро 2.6.10 и стал под него комилировать последний драйвер fglrx-8.8.25 (X.Org-6.8). В процессе make'а возникали warning'и наподобие "warning:'inter_module_put' is deprecated (declared at include/linux/module.h)", "warning: remap_page_range is deprecated (declared at include/linux/mm.h)", а после make_install при попытке загрузить модуль fglrx выпадает "FATAL: error inserting fglrx (<путь к fglrx.ko>): Unknown Symbol in module,...". На предыдущих ядрах проблем не было, дистрибутив Slackware 10 (gcc-3.4.3 (posix-threads,c,c++,objc), glibc-2.3.3 и X.Org-6.8.1).

Подскажите, что можно сделать. Заранее благодарен.

anonymous

Re: fglrx-8.8.25 и ядро 2.6.10

Нужно зайти на главную страницу сайта, открыть новости за этот месяц и прочитать про вышедшие драйверы ATI.

P.S. А чтобы не задавать такие вопросы на сайте сделали поиск.

jackill ★★★★★ ()

Re: fglrx-8.8.25 и ядро 2.6.10

Вот вот!!! точно такая же фигня у меня с этим модулем. Вообще конкретно обламывает.

Mepavel ()

Re: fglrx-8.8.25 и ядро 2.6.10

У меня тоже возникли проблемы при установки новых драйверов (под Gentoo), так мне очень помогла статья http://odin.prohosting.com/wedge01/gentoo-radeon-faq.html

rosman ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.